Skip to main content
PUT
Update folder

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

write

Grants write access

Path Parameters

folder_token
string
required

Body

application/json

Update a Folder.

title
string

The title of the Folder.

parent_folder_token
string | null

The token of the parent Folder. Send null or an empty string to move the Folder to the root.

saved_filter_tokens
string[] | null

The tokens of the SavedFilters to apply to any Cost Report contained within the Folder.

Response

Folder model

token
string
required
title
string | null
required

The title of the Folder.

Example:

"Platform Team Reports"

type
string
required

The type of the Folder.

saved_filter_tokens
string[]
required

The tokens for the SavedFilters assigned to the Folder.

created_at
string
required

The date and time, in UTC, the Folder was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

updated_at
string
required

The date and time, in UTC, the Folder was last updated at. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

workspace_token
string
required

The token for the Workspace the Folder is a part of.

parent_folder_token
string | null

The token for the parent Folder, if any.